%define piname	celestial_navigation_pi

Name:		opencpn-celestial-navigation-plugin
Summary:	Celestial Navigation plugin for OpenCpn
Version:	2.3
Release:	%mkrel 3
License:	GPLv3+
Group:		Geography
URL:		https://github.com/seandepagnier/%{piname}
# See opencpn spec for obtaining the versioned tarball.
Source0:	%{piname}-%{version}.tar.gz

BuildRequires:	cmake
BuildRequires:	bzip2-devel
BuildRequires:	gettext
BuildRequires:	lib64wxgtku3.1-devel
BuildRequires:	pkgconfig(gl)
BuildRequires:	pkgconfig(glu)
BuildRequires:	pkgconfig(zlib)
BuildRequires:	pkgconfig(tinyxml)

Requires:	opencpn
Provides:	%{piname} = %{version}

%description
Implements nautical almanac for sun, moon, planets, and various
navigational stars.
Enable the User to compute position fix from celestial measurements.

%prep
%setup -q -n %{piname}

%build
%cmake

%make_build

%install
%make_install -C build

%find_lang opencpn-%{piname}

%ifarch x86_64 aarch64
mkdir -p %{buildroot}%{_libdir}/opencpn
mv %{buildroot}/usr/lib/opencpn/* %{buildroot}%{_libdir}/opencpn/
%endif

%files -f opencpn-%{piname}.lang
%{_libdir}/opencpn/lib%{piname}.so
%{_datadir}/opencpn/plugins/%{piname}/data/*


%changelog
* Sun Oct 06 2019 tex - 2.3-3pclos2019
- rebuild against updates

* Thu May 16 2019 tex - 2.3-2pclos2019
- rebuild against updates

